@import url('https://fonts.cdnfonts.com/css/ica-rubrik-black');
@import url('https://fonts.cdnfonts.com/css/poppins');

body{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.background{
  background-image: url("https://media4.giphy.com/media/v1.Y2lkPTc5MGI3NjExZWJtd2x6eXVsd2kwem01aWl3OHl5MjcyZHRzajFhZ3EwZnByZXF0aiZlcD12MV9pbnRlcm5hbF9naWZfYnlfaWQmY3Q9Zw/U7huVmA3TKuqvznInJ/giphy.gif");
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  margin: 0;
  padding: 0;
  margin: 0;
  padding: 0;
  background-color: #f0f0f0;
  border: 20px solid #ccc;
  border-radius: 10px;
  box-shadow: inset 2px 2px 5px rgba(0, 0, 0, 0.1), 4px 4px 8px rgba(0, 0, 0, 0.2);
}
.title{
  position: absolute;
  top: 0;
left: 0;
}

.banner {
  width: auto; 
  height: 100vh;
  text-align: center;
  overflow: hidden;
  position: relative;
  margin: 0;
  padding: 0;
}

.banner .slider {
  position: absolute;
  width: 200px;
  height: 250px;
  top: 20%;
  left: calc(50% - 100px);
  transform-style: preserve-3d;
  transform: perspective(1000px); 
  animation: autoRun 20s linear infinite;
  z-index: 2;
  background-image: url("https://external-preview.redd.it/_Qsb4qqyBx6jBjF32WpowhvR6MVOOMB3ht194V-ACD0.jpg?auto=webp&s=8c945b51766b80d85665471b6af062ba476836e3");
  background-repeat: no-repeat;
  background-size: contain;
  
}

@keyframes autoRun {
  from {
    transform: perspective(1500px) rotateX(-16deg) rotateY(0deg);
  }
  to {
    transform: perspective(1500px) rotateX(-16deg) rotateY(360deg);
  }
}

.banner .slider .item {
  position: absolute;
  inset: 0 0 0 0;
  width: 100%; 
  height: 100%; 
  transform: 
    rotateY(calc((var(--position) - 1) * (360deg / var(--quantity)))) 
    translateZ(550px); 
  z-index: 1; 
  display: flex; 
  justify-content: center; 
  align-items: center; 
  border: #000 solid 3px;
}

.banner .slider .item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  
}

.banner .content {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: min(1400px, 100vh);
  height: max-content;
  padding-bottom: 100px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  z-index: 1;
  margin: 0;
  padding: 0;
  border: #ffffff solid 4px;
}

.banner .content h1 {
  font-family: 'ICA Rubrik Black', sans-serif;
  font-size: 10em;
  text-shadow: 0 0 10px #000;
  position: absolute;

}

.banner .content h1::after {
  position: absolute;
  inset: 0 0 0 0;
  content: attr(data-content);
  z-index: 2;
  -webkit-text-stroke: 2px #d2d2d2;
  color: transparent;
}

.banner .content .author {
  font-family: 'Poppins', sans-serif;
  font-size: 1.5rem;
  text-shadow: 0 0 10px #000;
  text-align: right;
  max-width: 200px;
}

.banner .content h2 {
  font-size: 1em;
}

.banner .content .model img{
  width: 300px;
  height: auto;
  position: absolute;
  bottom: 0;
  left: 18%;
  z-index: -2;
  padding: 0;
}


/* start screen */

#loading-screen img{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  text-align: center;
}
